Subject: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Jul 2014 13:18:05 -0400

>>> What if I already did "C-x 4 a", which visited a non-existing
>>> ChangeLog, and wrote my entry, but didn't yet save that buffer?
> Then you get punished for not committing your ChangeLog at the same time
> as the associated commit. ;)

But this case is actually interesting because for repositories such as
`elpa' which don't use ChangeLogs but do want to use the ChangeLog
conventions in the commit message, a way to do that is to use C-x 4 a to
fill the ChangeLog buffer but you won't want to save this buffer.

        Stefan